curl --request PUT \
--url https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/inspection/{inspectionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inspectionFacility": "ÖAMTC Wien Landstraße",
"inspectionDate": "2023-04-08",
"nextInspection": "2025-04-01",
"reportNumber": "12345678XX",
"mileage": 14345,
"testMass": 1415,
"maxLadenMass": 1865,
"city": "<string>",
"notes": "<string>",
"brakeFluidBoilingPoint": 200,
"emissionPassed": true,
"brakePerformance": {
"serviceBrakeSystem": 123,
"secondaryBrakeSystem": 123,
"parkingBrake": 123
},
"axlePerformance": {
"frontAxle": {
"serviceBrakeLeft": 123,
"serviceBrakeRight": 123,
"parkingBrakeLeft": 123,
"parkingBrakeRight": 123
},
"rearAxle": {
"serviceBrakeLeft": 123,
"serviceBrakeRight": 123,
"parkingBrakeLeft": 123,
"parkingBrakeRight": 123
}
},
"defects": [
{
"title": "<string>"
}
]
}
'import requests
url = "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/inspection/{inspectionId}"
payload = {
"inspectionFacility": "ÖAMTC Wien Landstraße",
"inspectionDate": "2023-04-08",
"nextInspection": "2025-04-01",
"reportNumber": "12345678XX",
"mileage": 14345,
"testMass": 1415,
"maxLadenMass": 1865,
"city": "<string>",
"notes": "<string>",
"brakeFluidBoilingPoint": 200,
"emissionPassed": True,
"brakePerformance": {
"serviceBrakeSystem": 123,
"secondaryBrakeSystem": 123,
"parkingBrake": 123
},
"axlePerformance": {
"frontAxle": {
"serviceBrakeLeft": 123,
"serviceBrakeRight": 123,
"parkingBrakeLeft": 123,
"parkingBrakeRight": 123
},
"rearAxle": {
"serviceBrakeLeft": 123,
"serviceBrakeRight": 123,
"parkingBrakeLeft": 123,
"parkingBrakeRight": 123
}
},
"defects": [{ "title": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
inspectionFacility: 'ÖAMTC Wien Landstraße',
inspectionDate: '2023-04-08',
nextInspection: '2025-04-01',
reportNumber: '12345678XX',
mileage: 14345,
testMass: 1415,
maxLadenMass: 1865,
city: '<string>',
notes: '<string>',
brakeFluidBoilingPoint: 200,
emissionPassed: true,
brakePerformance: {serviceBrakeSystem: 123, secondaryBrakeSystem: 123, parkingBrake: 123},
axlePerformance: {
frontAxle: {
serviceBrakeLeft: 123,
serviceBrakeRight: 123,
parkingBrakeLeft: 123,
parkingBrakeRight: 123
},
rearAxle: {
serviceBrakeLeft: 123,
serviceBrakeRight: 123,
parkingBrakeLeft: 123,
parkingBrakeRight: 123
}
},
defects: [{title: '<string>'}]
})
};
fetch('https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/inspection/{inspectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"inspectionFacility": "ÖAMTC Wien Landstraße",
"inspectionDate": "2023-04-08",
"nextInspection": "2025-04-01",
"reportNumber": "12345678XX",
"mileage": 14345,
"testMass": 1415,
"maxLadenMass": 1865,
"city": "<string>",
"notes": "<string>",
"brakeFluidBoilingPoint": 200,
"emissionPassed": true,
"brakePerformance": {
"serviceBrakeSystem": 123,
"secondaryBrakeSystem": 123,
"parkingBrake": 123
},
"axlePerformance": {
"frontAxle": {
"serviceBrakeLeft": 123,
"serviceBrakeRight": 123,
"parkingBrakeLeft": 123,
"parkingBrakeRight": 123
},
"rearAxle": {
"serviceBrakeLeft": 123,
"serviceBrakeRight": 123,
"parkingBrakeLeft": 123,
"parkingBrakeRight": 123
}
},
"defects": [
{
"title": "<string>"
}
],
"plannedFrom": "2023-12-25",
"plannedTo": "2023-12-25",
"blobs": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"uploaded": false
}
]
}Update an inspection report manually
Update the selected inspection report of the specified vehicle manually
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The two-letter country code of the asset provider the vehicles belong to
2The three-character code of the asset provider the vehicles belong to
3The id of the vehicle
The id of the vehicle inspection
Body
Inspection report that should replace the one under the specified id
"ÖAMTC Wien Landstraße"
"2023-04-08"
"2025-04-01"
"12345678XX"
In kilometers
14345
1415
1865
200
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Updated inspection report
PLANNED, EXECUTED NOT_STARTED, MANUAL, PROCESSING, PROCESSED, ERROR NOT_STARTED, PROCESSING, PROCESSED, ERROR "ÖAMTC Wien Landstraße"
"2023-04-08"
"2025-04-01"
"12345678XX"
In kilometers
14345
1415
1865
200
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes

